#include "stdafx.h"
#include "sortsol.h"


/////////////////////////////////////////////////////////////////////////////
// CSortSol

IMPLEMENT_DYNCREATE(CSortSol, CWnd)

/////////////////////////////////////////////////////////////////////////////
// CSortSol properties

CString CSortSol::GetInputFile()
{
	CString result;
	GetProperty(0x1, VT_BSTR, (void*)&result);
	return result;
}

void CSortSol::SetInputFile(LPCTSTR propVal)
{
	SetProperty(0x1, VT_BSTR, propVal);
}

CString CSortSol::GetOutputFile()
{
	CString result;
	GetProperty(0x2, VT_BSTR, (void*)&result);
	return result;
}

void CSortSol::SetOutputFile(LPCTSTR propVal)
{
	SetProperty(0x2, VT_BSTR, propVal);
}

CString CSortSol::GetLogfile()
{
	CString result;
	GetProperty(0x3, VT_BSTR, (void*)&result);
	return result;
}

void CSortSol::SetLogfile(LPCTSTR propVal)
{
	SetProperty(0x3, VT_BSTR, propVal);
}

BOOL CSortSol::GetDeleteInput()
{
	BOOL result;
	GetProperty(0x4, VT_BOOL, (void*)&result);
	return result;
}

void CSortSol::SetDeleteInput(BOOL propVal)
{
	SetProperty(0x4, VT_BOOL, propVal);
}

BOOL CSortSol::GetAppendOutput()
{
	BOOL result;
	GetProperty(0x5, VT_BOOL, (void*)&result);
	return result;
}

void CSortSol::SetAppendOutput(BOOL propVal)
{
	SetProperty(0x5, VT_BOOL, propVal);
}

BOOL CSortSol::GetAppendLog()
{
	BOOL result;
	GetProperty(0x6, VT_BOOL, (void*)&result);
	return result;
}

void CSortSol::SetAppendLog(BOOL propVal)
{
	SetProperty(0x6, VT_BOOL, propVal);
}

CString CSortSol::GetProfile()
{
	CString result;
	GetProperty(0x7, VT_BSTR, (void*)&result);
	return result;
}

void CSortSol::SetProfile(LPCTSTR propVal)
{
	SetProperty(0x7, VT_BSTR, propVal);
}

CString CSortSol::GetErrorLine()
{
	CString result;
	GetProperty(0xa, VT_BSTR, (void*)&result);
	return result;
}

void CSortSol::SetErrorLine(LPCTSTR propVal)
{
	SetProperty(0xa, VT_BSTR, propVal);
}

long CSortSol::GetErrorLineNumber()
{
	long result;
	GetProperty(0xb, VT_I4, (void*)&result);
	return result;
}

void CSortSol::SetErrorLineNumber(long propVal)
{
	SetProperty(0xb, VT_I4, propVal);
}

BOOL CSortSol::GetAborted()
{
	BOOL result;
	GetProperty(0x8, VT_BOOL, (void*)&result);
	return result;
}

void CSortSol::SetAborted(BOOL propVal)
{
	SetProperty(0x8, VT_BOOL, propVal);
}

long CSortSol::GetStatsSortTime()
{
	long result;
	GetProperty(0xc, VT_I4, (void*)&result);
	return result;
}

void CSortSol::SetStatsSortTime(long propVal)
{
	SetProperty(0xc, VT_I4, propVal);
}

long CSortSol::GetStatsMergeTime()
{
	long result;
	GetProperty(0xd, VT_I4, (void*)&result);
	return result;
}

void CSortSol::SetStatsMergeTime(long propVal)
{
	SetProperty(0xd, VT_I4, propVal);
}

long CSortSol::GetStatsBlockLoadTime()
{
	long result;
	GetProperty(0xe, VT_I4, (void*)&result);
	return result;
}

void CSortSol::SetStatsBlockLoadTime(long propVal)
{
	SetProperty(0xe, VT_I4, propVal);
}

long CSortSol::GetStatsBlockSortTime()
{
	long result;
	GetProperty(0xf, VT_I4, (void*)&result);
	return result;
}

void CSortSol::SetStatsBlockSortTime(long propVal)
{
	SetProperty(0xf, VT_I4, propVal);
}

long CSortSol::GetStatsBlockMergeTime()
{
	long result;
	GetProperty(0x10, VT_I4, (void*)&result);
	return result;
}

void CSortSol::SetStatsBlockMergeTime(long propVal)
{
	SetProperty(0x10, VT_I4, propVal);
}

long CSortSol::GetStatsNumberOfRuns()
{
	long result;
	GetProperty(0x11, VT_I4, (void*)&result);
	return result;
}

void CSortSol::SetStatsNumberOfRuns(long propVal)
{
	SetProperty(0x11, VT_I4, propVal);
}

long CSortSol::GetStatsCachePerRun()
{
	long result;
	GetProperty(0x12, VT_I4, (void*)&result);
	return result;
}

void CSortSol::SetStatsCachePerRun(long propVal)
{
	SetProperty(0x12, VT_I4, propVal);
}

long CSortSol::GetError()
{
	long result;
	GetProperty(0x13, VT_I4, (void*)&result);
	return result;
}

void CSortSol::SetError(long propVal)
{
	SetProperty(0x13, VT_I4, propVal);
}

CString CSortSol::GetErrorMsg()
{
	CString result;
	GetProperty(0x14, VT_BSTR, (void*)&result);
	return result;
}

void CSortSol::SetErrorMsg(LPCTSTR propVal)
{
	SetProperty(0x14, VT_BSTR, propVal);
}

BOOL CSortSol::GetOverride()
{
	BOOL result;
	GetProperty(0x9, VT_BOOL, (void*)&result);
	return result;
}

void CSortSol::SetOverride(BOOL propVal)
{
	SetProperty(0x9, VT_BOOL, propVal);
}

/////////////////////////////////////////////////////////////////////////////
// CSortSol operations

void CSortSol::LoadProfile(LPCTSTR FileName)
{
	static BYTE parms[] =
		VTS_BSTR;
	InvokeHelper(0x15, DISPATCH_METHOD, VT_EMPTY, NULL, parms,
		 FileName);
}

void CSortSol::SaveProfile(LPCTSTR FileName)
{
	static BYTE parms[] =
		VTS_BSTR;
	InvokeHelper(0x16, DISPATCH_METHOD, VT_EMPTY, NULL, parms,
		 FileName);
}

void CSortSol::Sort()
{
	InvokeHelper(0x17, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
}

void CSortSol::StatsBytesSorted(long* Lo, long* Hi)
{
	static BYTE parms[] =
		VTS_PI4 VTS_PI4;
	InvokeHelper(0x18, DISPATCH_METHOD, VT_EMPTY, NULL, parms,
		 Lo, Hi);
}

void CSortSol::StatsRecordsProcessed(long* Lo, long* Hi)
{
	static BYTE parms[] =
		VTS_PI4 VTS_PI4;
	InvokeHelper(0x19, DISPATCH_METHOD, VT_EMPTY, NULL, parms,
		 Lo, Hi);
}

void CSortSol::StatsRecordsFiltered(long* Lo, long* Hi)
{
	static BYTE parms[] =
		VTS_PI4 VTS_PI4;
	InvokeHelper(0x1a, DISPATCH_METHOD, VT_EMPTY, NULL, parms,
		 Lo, Hi);
}

void CSortSol::AboutBox()
{
	InvokeHelper(0xfffffdd8, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
}
